#!/bin/bash
#------------------------------------------------------------------------------
# /tmp/preinstall.sh - libmikmod3 preinstallation script
#
# Creation:     2018-03-02 Marcus Roeckrath
# Last Update:  2023-03-07 Marcus Roeckrath
#
# Copyright (c) 2018-2023 Marcus Roeckrath <marcus.roeckrath@gmx.de>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 of the License.
#------------------------------------------------------------------------------

package_name="libmikmod3"

# Remove libaudiofile.so link if no dev package is installed
installed_libmikmod_dev=$(eisman check libmikmod-dev)
if [ "${installed_libmikmod_dev}" = "not-installed" ]
then
    rm -f /usr/lib/libmikmod.so
fi

# Remove files and dir not deleted on deinstall of libmikmod package 0.1.0/1
rm -f /usr/lib/libmikmod.so.3
rm -rf /usr/share/doc/libmikmod

# Started automatically by eisman on exit
# eisman uninstall --update --auto ${package_name}

exit 0